#include "internal.h"
#include "FrameNumber.h"
#include "Frametc.h"

AVSValue __cdecl Create_FrameNumber(AVSValue args, void* user_data, IScriptEnvironment* env) {
	return new FrameNumber(args[0].AsClip(),args[1].AsInt(0),args[2].AsInt(0),	 env);  
}

AVSValue __cdecl Create_FrameTC(AVSValue args, void* user_data, IScriptEnvironment* env) {
	return new FrameTC(args[0].AsClip(),args[1].AsInt(0),args[2].AsInt(0), args[3].AsInt(0), env);  
}

extern "C" __declspec(dllexport) const char* __stdcall AvisynthPluginInit2(IScriptEnvironment* env) {
    env->AddFunction("FrameNumber", "c[offset]i[left]i", Create_FrameNumber, 0);
	env->AddFunction("FrameTC"    , "c[offset]i[orientation]i[y]i", Create_FrameTC    , 0);
    return 0;
}
